For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Support Ticket

Creates a support ticket.

This endpoint will create a support ticket and returns ticketId

Create a ticket.

POST https://api.onramp.money/onramp/api/v2/whiteLabel/support/createTicket

Request Body

Name
Type
Description

customerId*

String

Unique id received from /customers

email*

String

email address to receive real time ticket updates

issueType*

String

Indicates the specific type of issue that prompted the creation of the support ticket. Valid values include: -> Buy Crypto

-> Sell Crypto

-> KYC

-> Login Issues

-> Bank Verification

-> Account Delete

message*

String

Initial ticket submission message

subject*

String

Ticket description

{
    "status": 1,
    "code": 200,
    "data": {
        "ticketId": "33391",
        "createdAt": "2023-11-21T20:39:00Z",
        "ticketDetails": {
          "user": "Hello I have created a transaction but it got timed out.",
          "support": "Thanks for contacting Onramp. Hope you're doing well:)\n\nYou can always resume your transaction through transaction history.\n\nIf you encounter any issues or need any assistance, please don't hesitate to reach out to us.\n\nWe are here to guide you through the process and address any questions you may have.\n\nThank you for your cooperation."
          }
      }
}

{
    "status": 0,
    "code": 400,
    "error": "Missing parameter -> customerId, subject, message, issueType, email."
}

{
    "status": 0,
    "code": 500,
    "error": "Unable to create ticket at the moment. Please try again after some time."
}

  • status -> 0 is for unsuccessful request, 1 is for a successful one.

  • ticketId -> The unique support ticket Id for Onramp.

  • ticketDetails -> This will contain all the current ticket conversations.

Last updated